textures/jumpnow/wall03_mid_light
{
	qer_editorimage textures/battery_wall/wall03_mid.tga
	q3map_lightimage textures/battery_wall/wall03_mid.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen const ( 0 0 0 )
	}
	{
		map textures/battery_wall/wall03_mid.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0 0 0 )
	}
	{
		map textures/battery_wall/wall03_mid.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/jumpnow/wall03_bot_light
{
	qer_editorimage textures/battery_wall/wall03_bot.tga
	q3map_lightimage textures/battery_wall/wall03_bot.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen const ( 0 0 0 )
	}
	{
		map textures/battery_wall/wall03_bot.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0 0 0 )
	}
	{
		map textures/battery_wall/wall03_bot.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/jumpnow/construction_red
{ 
	qer_editorimage textures/sfx/construction.tga
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.6 0.2 0.2 )
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}

}

textures/jumpnow/construction_lightblue
{ 
	qer_editorimage textures/sfx/construction.tga
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm trans
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0 0.1 0.1 )
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}

}


textures/jumpnow/construction_blue
{ 
	qer_editorimage textures/sfx/construction.tga
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0 0 0.5 )
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}

}


textures/jumpnow/siwa_water_poison
{
	nocompress
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		rgbGen const ( 0.5 0.5 0 )
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
	{
		map textures/liquids_sd/siwa_water.tga
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.9 0 0.9 )
	}
}

textures/jumpnow/iceslide
{
	surfaceparm slick
	surfaceparm cushion
	surfaceparm trans
	q3map_lightimage textures/jumpnow/iceslide.tga
	q3map_surfacelight 100
	q3map_lightrgb (0 1 1)
	{
		map $lightmap
		rgbGen const ( 0 0 0 )
	}
	{
		map textures/jumpnow/iceslide.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0 0 0 )
	}
	{
		map textures/jumpnow/iceslide.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/jumpnow/icelake2_opaque_bluelight
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	tesssize 256
	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		rgbGen const ( 0.00 1.00 1.00 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcMod scale 4 4
		detail
	}
}

textures/jumpnow/glass_lightblue
{
	qer_editorimage textures/common/dirtymirror.tga
	qer_trans 0.5
	cull none
	surfaceparm glass
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.00 1.00 1.00 )
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/jumpnow/trim_c10w_lightblue
{
	qer_editorimage textures/props_sd/trim_c10w.tga
	surfaceparm nodamage
	{
		map textures/props_sd/trim_c10w.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.00 1.00 1.00 )
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
